Bug 150402 - RPM crashes when updating kernel
RPM crashes when updating kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-05 12:38 EST by Sean Simmons
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 18:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Simmons 2005-03-05 12:38:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6)
Gecko/20050223 Firefox/1.0.1

Description of problem:
When updating the kernel, RPM crashes with the following error message:

# sudo rpm -Uvh kernel-2.6.10-1.770_FC2.i586.rpm
Password:
/etc/security/selinux/file_contexts: No such file or directory
warning: kernel-2.6.10-1.770_FC2.i586.rpm: V3 DSA signature: NOKEY,
key ID 4f2a6fd2
Preparing...                memory alloc (4 bytes) returned NULL.
#

I haven't found this problem with any other packages.

The currently installed kernel is 2.6.10-1.9_FC2.



Version-Release number of selected component (if applicable):
rpm-4.3.1-0.4.1

How reproducible:
Always

Steps to Reproduce:
Try to update the kernel either using yum or RPM directly.
    

Actual Results:  The update fails with the above error message

Expected Results:  The update should have succeeded.

Additional info:

# sudo rpm -Uvh kernel-2.6.10-1.770_FC2.i586.rpm
Password:
/etc/security/selinux/file_contexts: No such file or directory
warning: kernel-2.6.10-1.770_FC2.i586.rpm: V3 DSA signature: NOKEY,
key ID 4f2a6fd2
Preparing...                memory alloc (4 bytes) returned NULL.
Comment 1 Jeff Johnson 2005-03-06 18:48:11 EST
Yes, there is an rpm assertion failure for malloc returning NULL.
This is a "cannot happen" condition.

You will need to figure out why 4 bytes cannot be allocated
on your system.

Note You need to log in before you can comment on or make changes to this bug.